$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.31.80-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.31.80-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '4CAE4B30D84995D1A59A07E87C2CF5150076B7F050E5EC2B08FAEC9048F06038'
  checksumType = 'sha256'
  checksum64 = '4CAE4B30D84995D1A59A07E87C2CF5150076B7F050E5EC2B08FAEC9048F06038'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.31.80-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
